<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8" />
        <meta name="google" content="notranslate" />
        <meta name="robots" content="noindex">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <title>{% block title %}{% trans %}Learn Vocabulary{% endtrans %}{% endblock %}</title>
        {% block stylesheets %}{% endblock %}
        <link rel="icon" type="image/x-icon" href="{{ asset('favicon.png') }}" />
        <link rel="stylesheet" href="/css/bootstrap.min.css">
        <link rel="stylesheet" href="/css/font-awesome.min.css">
        <link rel="stylesheet" href="/css/styles.css">
        <script src="/js/jquery.min.js"></script>
    </head>
    <body>
        {#<div class="hidden-xs beta-version">
            Beta
        </div>#}
        <header>
            <div class="container">
                <nav class="navbar" role="navigation">
                    <!-- Brand and toggle get grouped for better mobile display -->
                    <div class="navbar-header">
                        <button type="button"
                                class="navbar-toggle collapsed"
                                data-toggle="collapse"
                                data-target="#navbar-collapse"
                        >
                            <span class="sr-only">{% trans %}Toggle navigation{% endtrans %}</span>
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                        </button>
                        {{ render(controller('App\\Controller\\WebsiteController::dropdownLanguagesAction', { 'route': app.request.get('_route'), 'routeParams': app.request.get('_route_params') })) }}
                        <h1 class="navbar-brand"><a href="{{ path('home') }}">{% trans %}My Vocabulary{% endtrans %}</a></h1>
                    </div>
                    <div class="collapse navbar-collapse" id="navbar-collapse">
                        {% block menu %}
                            {% include "menu.html.twig" %}
                        {% endblock %}
                    </div>
                </nav>
            </div>
        </header>
        {% if app.session.flashbag.has('success') %}
            <div class="container alert alert-success fade in">
                <button type="button" class="close" data-dismiss="alert">&times;</button>
                {% for flashMessage in app.session.flashbag.get('success') %}
                    <div class="flash-notice">
                        <p>{% autoescape false %}{{ flashMessage }}{% endautoescape %}</p>
                    </div>
                {% endfor %}
            </div>
        {% endif %}
        {% if app.session.flashbag.has('info') %}
            <div class="container alert alert-info fade in">
                <button type="button" class="close" data-dismiss="alert">&times;</button>
                {% for flashMessage in app.session.flashbag.get('info') %}
                    <div class="flash-notice">
                        <p>{% autoescape false %}{{ flashMessage }}{% endautoescape %}</p>
                    </div>
                {% endfor %}
            </div>
        {% endif %}
        <div id="main" class="container">
            {% block body %}{% endblock %}
        </div>
        <footer class="container">
            © Baptiste Bouchereau | No rights reserved
        </footer>
        {% block javascripts %}
            <script src="/js/bootstrap.min.js"></script>
            <script src="/js/clear-local-storage.js"></script>
            <script src="/js/analytics.js"></script>
        {% endblock %}
    </body>
</html>
